Subject: Re: [Bier] Request an adoption call on draft-xie-bier-ipv6-encapsulation-05

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Tue, 10 Mar 2020 02:36:50 +0000

Dear WG Chairs,

We've just updated a new revision of bier-ipv6-encapsulation. Main updates:
1. Use the Next Header value 143 for Ethernet packet in IP/IPv6.
2. Update the "security consideration" section. further includes:
2.1 Explain the BIER domain and BIER sub-domain that may spanning multiple ASes operated by a single operator.
2.2 Simply refer the security considerations of Inter-domain deployment to RFC8296, and remove the section 5.2 "Inter-domain deployment".
https://datatracker.ietf.org/doc/draft-xie-bier-ipv6-encapsulation/
https://www.ietf.org/rfcdiff?url2=draft-xie-bier-ipv6-encapsulation-06

The first update about Next Header value 143 is based on the significant progress of Native IPv6 solution that is happening in industry, below for reference:
SRv6 PGM (in its LC) has applied the Proto value 143 for Ethernet packet in IP/IPv6:
https://datatracker.ietf.org/doc/draft-ietf-spring-srv6-network-programming/

The second update is based on the Tony's comment before IETF106 about security deployment, and suggestion from Dirk recently.
We hope this could address the concerns about security deployment of BIERv6, as well as other comments received on IETF106:
https://mailarchive.ietf.org/arch/msg/bier/1DP5hGPrPsiC3OE5skm2yaN6tQM/

Again, we believe this draft is stable and ready for adoption, and the BIER WG charter item 7 "BIER natively in IPv6" should advance.
Thank you very much for consideration!

Best Regards,
Jingrong

From: BIER [mailto:[email-masked]] On Behalf Of Xiejingrong (Jingrong)
Sent: Thursday, January 23, 2020 9:27 AM
To: [email-masked]
Cc: BIER WG <[email-masked]>; [email-masked]; [email-masked]
Subject: [Bier] Request an adoption call on draft-xie-bier-ipv6-encapsulation-05

Dear WG Chairs:

We would like to request an adoption call on draft-xie-bier-ipv6-encapsulation-05.
We've presented this proposal for about two years and it had led to the writing and adoption of draft-ietf-bier-ipv6-requirements.
We've addressed the comments received in the past 2 years.
We've seen lots of interest on the draft.
We believe it is stable and ready for adoption.
We think the charter item 7 "BIER natively in IPv6" should advance.

Thanks for consideration.

BTW:
I will be in spring festival for the coming 7 days but I can read the list anytime.
Happy spring festival to those who have.

Jingrong (on behalf of the authors and contributors)

---

From: <[email-masked]>
Date: Tue, 10 Mar 2020 14:57:08 +0800 (CST)

Hi Jingrong,

I don't think this solution (draft-xie-bier-ipv6-encapsulation) has gotten consensus in BIER working group.

However, there is another BIER IPv6 solution (draft-zhang-bier-bierin6) has gotten consensus in the WG. 

The latest presentation is in IETF105# and it has been in adoption list.

BTW: I don't think there is straight relationship with BIER and SRv6. But draft-zhang-bier-bierin6 works well with SRv6 without any extra specification.

Thanks

Sandy

原始邮件

发件人：Xiejingrong(Jingrong) <[email-masked]>
收件人：[email-masked] <[email-masked]>;
抄送人：BIER WG <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;
日 期 ：2020年03月10日 10:37
主 题 ：RE: Request an adoption call on draft-xie-bier-ipv6-encapsulation-05

Dear WG Chairs,

2. Update the “security consideration” section. further includes:

2.2 Simply refer the security considerations of Inter-domain deployment to RFC8296, and remove the section 5.2 “Inter-domain deployment”.

 

 

The second update is based on the Tony’s comment before IETF106 about security deployment, and suggestion from Dirk recently.

 

 

Best Regards,

Jingrong

 

From: BIER [mailto:[email-masked]]On Behalf Of Xiejingrong (Jingrong)
Sent: Thursday, January 23, 2020 9:27 AM
To: [email-masked]
Cc: BIER WG <[email-masked]>; [email-masked]; [email-masked]
Subject: [Bier] Request an adoption call on draft-xie-bier-ipv6-encapsulation-05

Dear WG Chairs:

 

 

BTW:

---

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Tue, 10 Mar 2020 07:57:00 +0000

Dear Sandy,

With all due respect, I am curious whether you speak as individual or WG secretary.

More comments inline.

Thanks
Jingrong

From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, March 10, 2020 2:57 PM
To: Xiejingrong (Jingrong) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re:Request an adoption call on draft-xie-bier-ipv6-encapsulation-05

Hi Jingrong,

[XJR] I think an adoption call is to verify the existence of consensus, rather than reverse.

[XJR] This claim of consensus looks even more strange to me, as you are one author of this draft, and also the secretary of BIER WG. I believe only WG chairs or AD  can declare such  consensus.

Thanks

Sandy

原始邮件
发件人：Xiejingrong(Jingrong) <[email-masked]<mailto:[email-masked]>>
收件人：[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;
抄送人：BIER WG <[email-masked]<mailto:[email-masked]>>;[email-masked] <[email-masked]<mailto:[email-masked]>>;[email-masked] <[email-masked]<mailto:[email-masked]>>;
日 期 ：2020年03月10日 10:37
主 题 ：RE: Request an adoption call on draft-xie-bier-ipv6-encapsulation-05
Dear WG Chairs,

Best Regards,
Jingrong

From: BIER [mailto:[email-masked]]On Behalf Of Xiejingrong (Jingrong)
Sent: Thursday, January 23, 2020 9:27 AM
To: [email-masked]<mailto:[email-masked]>
Cc: BIER WG <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: [Bier] Request an adoption call on draft-xie-bier-ipv6-encapsulation-05

Dear WG Chairs:

BTW:

---

From: <[email-masked]>
Date: Tue, 10 Mar 2020 16:58:54 +0800 (CST)

Hi Jingrong,

Before being in adoption call, you may need to solve all the question about (draft-xie-bier-ipv6-encapsulation) at first (in meeting and mailing list).

Its a pit that you didn't konw the consensus with draft-zhang-bier-bierin6 even if you were on BIER WG bluesheet in IETF105# (https://www.ietf.org/proceedings/105/bluesheets/bluesheets-105-bier-201907241330-00.pdf).

Please have a look at the minutes again (https://tools.ietf.org/wg/bier/minutes?item=minutes-105-bier-01.html).

I think it's a baseline that the draft has gotten consensus in WG before it's taken to the adoption list.

BTW: You may have misunderstanding about WG secretary.

AFAIK, WG secretary just does WG routine work, and there is no relationship with technology discussion and routine work.

Let's back to the technology discussion. Thanks!

Thanks

Sandy

原始邮件

发件人：Xiejingrong(Jingrong) <[email-masked]>
收件人：张征00007940;
抄送人：[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;
日 期 ：2020年03月10日 15:57
主 题 ：RE: Re:Request an adoption call ondraft-xie-bier-ipv6-encapsulation-05

Dear Sandy,

 

More comments inline.

Thanks

Jingrong

 

Hi Jingrong,

[XJR] I think
 an adoption call is to verify the existence of consensus, rather than reverse.

[XJR] This
 claim of consensus looks even more strange to me, as you are one author of this draft, and also the secretary of BIER WG. I believe only WG chairs or AD  can declare such  consensus.

 

Thanks

Sandy

原始邮件

抄送人：BIER WG <[email-masked]>;[email-masked] <[email-masked]>;[email-masked]
 <[email-masked]>;

日 期 ：2020年03月10日 10:37

Dear WG Chairs,

 

The first update about Next Header value 143 is based on the significant progress of Native IPv6 solution that is happening in industry,
 below for reference:

 

 

 

Best Regards,

Jingrong

 

From: BIER [mailto:[email-masked]]On
 Behalf Of Xiejingrong (Jingrong)
Sent: Thursday, January 23, 2020 9:27 AM
To: [email-masked]
Cc: BIER WG <[email-masked]>;[email-masked]; [email-masked]
Subject: [Bier] Request an adoption call on draft-xie-bier-ipv6-encapsulation-05

Dear WG Chairs:

 

 

BTW:

---

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Tue, 10 Mar 2020 10:15:05 +0000

Dear Sandy,

I suppose I have addressed all the comments received on the draft-xie-bier-ipv6-encapsulation, and that’s the main point in my request of adoption in Jan 2020 and today.
Please point out what’s the comments that haven’t addressed.

Thanks for remind me the IETF105 meeting minutes.
I don’t know why that said thing “Take it to list” didn’t happen after 7 months !
Is it assumed that some questions are not addressed or not clear ---- for example, security considerations? Or the said “Primary intended use is HOMENET” does not explicitly declared in the document ?

Thanks
Jingrong

From: [email-masked] [mailto:[email-masked]]
Sent: Tuesday, March 10, 2020 4:59 PM
To: Xiejingrong (Jingrong) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re:Request an adoption call ondraft-xie-bier-ipv6-encapsulation-05

Hi Jingrong,

Thanks

Sandy

原始邮件
发件人：Xiejingrong(Jingrong) <[email-masked]<mailto:[email-masked]>>
收件人：张征00007940;
抄送人：[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked] <[email-masked]<mailto:[email-masked]>>;[email-masked] <[email-masked]<mailto:[email-masked]>>;[email-masked] <[email-masked]<mailto:[email-masked]>>;
日 期 ：2020年03月10日 15:57
主 题 ：RE: Re:Request an adoption call ondraft-xie-bier-ipv6-encapsulation-05
Dear Sandy,

More comments inline.

Thanks
Jingrong

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
Sent: Tuesday, March 10, 2020 2:57 PM
To: Xiejingrong (Jingrong) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re:Request an adoption call on draft-xie-bier-ipv6-encapsulation-05

Hi Jingrong,

Thanks

Sandy

原始邮件

Best Regards,
Jingrong

Cc: BIER WG <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Dear WG Chairs:

BTW:

---

From: <[email-masked]>
Date: Tue, 10 Mar 2020 22:10:04 +0800 (CST)

Hi Jingrong,

Sorry, I don't know you can't remember that there is consensus with the irrelevance between BIER and SRv6. 

SRv6 doesn't exist in BIER charter at all. So I mention it again for draft-xie-bier-ipv6-encapsulation. 

The homenet is one of the deployment of BIERin6 (draft-zhang-bier-bierin6).

About the draft process, I believe that chair control the WG process reasonably.

Thanks,

Sandy

原始邮件

日 期 ：2020年03月10日 18:15

Dear Sandy,

I suppose I have addressed all the comments received on the draft-xie-bier-ipv6-encapsulation, and that’s the main point in my request of adoption
 in Jan 2020 and today.

 

Is it assumed that some questions are not addressed or not clear ---- for example, security considerations? Or the said “Primary intended use is
 HOMENET” does not explicitly declared in the document ?

Thanks

Jingrong

 

Hi Jingrong,

Before being in adoption call, you may need to solve all the question about (draft-xie-bier-ipv6-encapsulation) at first (in meeting and mailing
 list).

Its a pit that you didn't konw the consensus withdraft-zhang-bier-bierin6 even if you were on BIER WG bluesheet in IETF105# (https://www.ietf.org/proceedings/105/bluesheets/bluesheets-105-bier-201907241330-00.pdf).

Thanks

Sandy

原始邮件

收件人：张征00007940;

抄送人：[email-masked] <[email-masked]>;[email-masked]
 <[email-masked]>;[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;

日 期 ：2020年03月10日 15:57

Dear Sandy,

 

More comments inline.

Thanks

Jingrong

From:[email-masked] [mailto:[email-masked]]

Hi Jingrong,

[XJR] This claim of consensus looks even more strange to me, as you are one author of
 this draft, and also the secretary of BIER WG. I believe only WG chairs or AD  can declare such  consensus.

 

Thanks

Sandy

原始邮件

日 期 ：2020年03月10日10:37

Dear WG Chairs,

 

 

 

 

Best Regards,

Jingrong

 

Cc: BIER WG <[email-masked]>;[email-masked];[email-masked]

Dear WG Chairs:

 

 

BTW:

---

From: Tony Przygienda <[email-masked]>
Date: Tue, 10 Mar 2020 07:43:34 -0700

I will try to get on call with Greg this week if we manage to find the time
and we'll look @ the minutes/new version of draft and direct further ...

thanks

--- tony

On Tue, Mar 10, 2020 at 7:10 AM <[email-masked]> wrote:

> *发件人：*Xiejingrong(Jingrong) <[email-masked]>
> *收件人：*张征00007940;
> *抄送人：[email-masked] <[email-masked]>;[email-masked] <
> [email-masked]>;[email-masked] <[email-masked]>;
> [email-masked] <
> [email-masked]>;
> *日 期 ：*2020年03月10日 18:15
> *主 题 ：**RE: Re:Request an adoption call
> ondraft-xie-bier-ipv6-encapsulation-05*
>
> Dear Sandy,
>
>
>
> I suppose I have addressed all the comments received on the
> draft-xie-bier-ipv6-encapsulation, and that’s the main point in my request
> of adoption in Jan 2020 and today.
>
> Is it assumed that some questions are not addressed or not clear ---- for
> example, security considerations? Or the said “Primary intended use is
> *From:* [email-masked] [mailto:[email-masked]]
> *Sent:* Tuesday, March 10, 2020 4:59 PM
> *To:* Xiejingrong (Jingrong) <[email-masked]>
> *Cc:* [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> *Subject:* Re:Request an adoption call
> ondraft-xie-bier-ipv6-encapsulation-05
>
>
>
> Hi Jingrong,
>
>
>
> Before being in adoption call, you may need to solve all the question
> about (draft-xie-bier-ipv6-encapsulation) at first (in meeting and
> mailing list).
>
> Its a pit that you didn't konw the consensus withdraft-zhang-bier-bierin6
> even if you were on BIER WG bluesheet in IETF105# (
> https://www.ietf.org/proceedings/105/bluesheets/bluesheets-105-bier-201907241330-00.pdf
> ).
>
> Please have a look at the minutes again (
> https://tools.ietf.org/wg/bier/minutes?item=minutes-105-bier-01.html).
>
> AFAIK, WG secretary just does WG routine work, and there is no
> relationship with technology discussion and routine work.
>
> *发件人：*Xiejingrong(Jingrong) <[email-masked]>
>
> *收件人：*张征00007940;
>
> *抄送人：[email-masked] <[email-masked]>;[email-masked] <
> [email-masked]>;[email-masked] <[email-masked]>;
> [email-masked] <
> [email-masked]>;
>
> *日 期 ：*2020年03月10日 15:57
>
> *主 题 ：RE: Re:Request an adoption call
> ondraft-xie-bier-ipv6-encapsulation-05*
>
> Dear Sandy,
>
>
>
> *From:[email-masked] [mailto:[email-masked]
> <[email-masked]>]
> *Sent:* Tuesday, March 10, 2020 2:57 PM
> *To:* Xiejingrong (Jingrong) <[email-masked]>
> *Cc:* [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> *Subject:* Re:Request an adoption call on
> draft-xie-bier-ipv6-encapsulation-05
>
>
>
> Hi Jingrong,
>
>
>
> [XJR] This claim of consensus looks even more strange to me, as you are
> one author of this draft, and also the secretary of BIER WG. I believe only
> WG chairs or AD  can declare such  consensus.
>
> BTW: I don't think there is straight relationship with BIER and SRv6.
> But draft-zhang-bier-bierin6 works well with SRv6 without any extra
> specification.
>
>
>
> Thanks
>
> Sandy
>
>
>
>
>
> 原始邮件
>
> *发件人：*Xiejingrong(Jingrong) <[email-masked]>
>
> *收件人：[email-masked] <[email-masked]>;
>
> *抄送人：*BIER WG <[email-masked]>;[email-masked] <[email-masked]>;
> [email-masked] <
> [email-masked]>;
>
> *日 期 ：*2020年03月10日10:37
>
> *主 题 ：RE: Request an adoption call on draft-xie-bier-ipv6-encapsulation-05*
>
> Dear WG Chairs,
>
>
>
> 2.2 Simply refer the security considerations of Inter-domain deployment to
> RFC8296, and remove the section 5.2 “Inter-domain deployment”.
>
> The first update about Next Header value 143 is based on the significant
> progress of Native IPv6 solution that is happening in industry, below for
> reference:
>
> The second update is based on the Tony’s comment before IETF106 about
> security deployment, and suggestion from Dirk recently.
>
> We hope this could address the concerns about security deployment of
> BIERv6, as well as other comments received on IETF106:
>
> Again, we believe this draft is stable and ready for adoption, and the
> BIER WG charter item 7 "BIER natively in IPv6" should advance.
>
> *From:* BIER [mailto:[email-masked] <[email-masked]>]*On
> Behalf Of *Xiejingrong (Jingrong)
> *Sent:* Thursday, January 23, 2020 9:27 AM
> *To:* [email-masked]
> *Cc:* BIER WG <[email-masked]>;[email-masked];
> [email-masked]
> *Subject:* [Bier] Request an adoption call on
> draft-xie-bier-ipv6-encapsulation-05
>
>
>
> Dear WG Chairs:
>
>
>
> We've presented this proposal for about two years and it had led to the
> writing and adoption of draft-ietf-bier-ipv6-requirements.
>

---

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Tue, 10 Mar 2020 14:51:11 +0000

Hi Sandy,

Thanks a lot for your remind of this comment again.
I assume the comment about the relationship of BIER-IPv6 and SRv6 had addressed in my rev-05, see below my mail before the adoption request:
https://mailarchive.ietf.org/arch/msg/bier/1DP5hGPrPsiC3OE5skm2yaN6tQM/

Best,
Jingrong

Sent: Tuesday, March 10, 2020 10:10 PM

Hi Jingrong,

Thanks,

Sandy

原始邮件

Thanks
Jingrong

Hi Jingrong,

Thanks

Sandy

原始邮件

More comments inline.

Thanks
Jingrong

From:[email-masked]<mailto:[email-masked]> [mailto:[email-masked]]

Hi Jingrong,

Thanks

Sandy

原始邮件

Best Regards,
Jingrong

Cc: BIER WG <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]>;[email-masked]<mailto:[email-masked]>

Dear WG Chairs:

BTW:

---

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Tue, 10 Mar 2020 14:59:00 +0000

Thank you very much Tony !
Appreciate greatly if you could get on call with Greg and find the time to look @ the minutes as well as the new version of draft that I am requesting for adoption call.

Best regards,
Jingrong

From: Tony Przygienda [mailto:[email-masked]]
Sent: Tuesday, March 10, 2020 10:44 PM
To: zhang.zheng <[email-masked]>
Cc: Xiejingrong (Jingrong) <[email-masked]>; BIER WG Chairs <[email-masked]>; BIER WG <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: Request an adoption call ondraft-xie-bier-ipv6-encapsulation-05

I will try to get on call with Greg this week if we manage to find the time and we'll look @ the minutes/new version of draft and direct further ...

thanks

--- tony

On Tue, Mar 10, 2020 at 7:10 AM <[email-masked]<mailto:[email-masked]>> wrote:

Hi Jingrong,

Thanks,

Sandy

原始邮件
发件人：Xiejingrong(Jingrong) <[email-masked]<mailto:[email-masked]>>
收件人：张征00007940;
抄送人：[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;
日 期 ：2020年03月10日 18:15
主 题 ：RE: Re:Request an adoption call ondraft-xie-bier-ipv6-encapsulation-05
Dear Sandy,

Thanks
Jingrong

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]

Hi Jingrong,

Thanks

Sandy

原始邮件
发件人：Xiejingrong(Jingrong) <[email-masked]<mailto:[email-masked]>>
收件人：张征00007940;
抄送人：[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;
日 期 ：2020年03月10日 15:57
主 题 ：RE: Re:Request an adoption call ondraft-xie-bier-ipv6-encapsulation-05
Dear Sandy,

More comments inline.

Thanks
Jingrong

Hi Jingrong,

Thanks

Sandy

原始邮件
发件人：Xiejingrong(Jingrong) <[email-masked]<mailto:[email-masked]>>
收件人：[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;
抄送人：BIER WG <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;[email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>;
日 期 ：2020年03月10日10:37
主 题 ：RE: Request an adoption call on draft-xie-bier-ipv6-encapsulation-05
Dear WG Chairs,

Best Regards,
Jingrong

Dear WG Chairs:

BTW:

---

From: Toerless Eckert <[email-masked]>
Date: Thu, 12 Mar 2020 05:29:05 +0100

Just glanced through both documents (draft-xie-bier-ipv6-encapsulation,
draft-zhang-bier-bierin6). Thanks a lot for the work.

draft-zhang seems to have a lot more security/deployment considerations
i haven't gotten to read through yet, i would hope any final document
would have a good amount of such type of information as well.

Neither document has a comparison with the other, and however we
go forward, i would very much hope that the choices made will
be compared and disccussed vs. the choices not made in a final document.
And if we start now comparing the options, it could help to conclude
on a more technical basis than "mayority of authors" or the like.

IMHO the differences are not very big in their core. Seems like Sandy's
draft proposes to use a BIER in IPv6 Next-Header (NH) and Xiejing's draft
proposes to use a destination  option header. Xiejing's draft also has
ideas how to embed the functionality more with SRv6/SID concepts
which seems like an interesting idea for BIER in SRv6 networks.
Not sure if this could be done equally with NH encoding.

I would hesitate to decide on the header encap choice solely 
within BIER: While in general, BIER can do a lot of decisions all by itself,
i think when it comes to IPv6 encapsulation, its probably good
to also ask v6ops/6man/spring about their opinions first:

Even if we do not want to bother about their preference, we may
want to bother about any showstoppers they might raise later in
IETF/IESG review.

Have both of these approaches been presented in v6ops/6man/spring
and asked for preferences vs. the other option ? If yes, then
where would i find a summary of the feedback ? (hint: sections
to be removed by RFC editor are a great way to avoid having
to search through a long mailing list like bier or IETF meetng
notes).

Finally: Personally i mostly care if/how either of these options
differ in the capability to be broadly adopted in HW accelerated
forwarding plane at max speed. If there are certain principles
that make one option better than the other, it would be good to
document. And i hope the folks with HW knowledge would not solely
judge from them being author on a particular document.

One point related to forwarding efficiency and comparison
between the documents:

In Sandy's draft there is the option for per BIER-hop
to use "only" L2 encap or IPv6 encap. Those BIER-hops look like
a nice optimization, but from at least some of the forwarding
planes i know, it would be faster not to have to do
IPv6 encap/decap on many hops along the path,
because some are L2 BIER capable and some not, but to keep
the IPv6 header and just do address-field(s) rewrite
(and of course Bitstring rewrite).

Given how we assume SPF IGPs, i think the best choice would
be for the BFIR to determine if the SPF path is completely
L2 capable and then send with L2 header, else send with
L3 header and BFRs would actually forward with the header
they received the packet with (L2 or L3).

Note that i think that Xiejing's draft cold equally support
the L2 encap options if desired. But 'd first figure out
if we really need that "mixed" forwarding.

Cheers
    Toerless

On Tue, Mar 10, 2020 at 07:43:34AM -0700, Tony Przygienda wrote:
> > ????????????
> > *????????????*Xiejingrong(Jingrong) <[email-masked]>
> > *????????????*??????00007940;
> > *????????????[email-masked] <[email-masked]>;[email-masked] <
> > *??? ??? ???*2020???03???10??? 18:15
> > *??? ??? ???**RE: Re:Request an adoption call
> > draft-xie-bier-ipv6-encapsulation, and that???s the main point in my request
> > Please point out what???s the comments that haven???t addressed.
> >
> >
> >
> > I don???t know why that said thing ???Take it to list??? didn???t happen after 7
> > months !
> >
> > example, security considerations? Or the said ???Primary intended use is
> > HOMENET??? does not explicitly declared in the document ?
> >
> >
> >
> > Thanks
> >
> > Jingrong
> >
> >
> >
> > ????????????
> > *????????????*Xiejingrong(Jingrong) <[email-masked]>
> >
> > *????????????*??????00007940;
> >
> > *????????????[email-masked] <[email-masked]>;[email-masked] <
> > *??? ??? ???*2020???03???10??? 15:57
> >
> > *??? ??? ???RE: Re:Request an adoption call
> > ????????????
> > *????????????*Xiejingrong(Jingrong) <[email-masked]>
> >
> > *????????????[email-masked] <[email-masked]>;
> >
> > *????????????*BIER WG <[email-masked]>;[email-masked] <[email-masked]>;
> > *??? ??? ???*2020???03???10???10:37
> >
> > *??? ??? ???RE: Request an adoption call on draft-xie-bier-ipv6-encapsulation-05*
> >
> > Dear WG Chairs,
> >
> >
> >
> > 2. Update the ???security consideration??? section. further includes:
> >
> > RFC8296, and remove the section 5.2 ???Inter-domain deployment???.
> >
> > The second update is based on the Tony???s comment before IETF106 about

> _______________________________________________
> BIER mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bier

-- 
---
[email-masked]